Qt Utilities: QtUtilities::ColorDelegate Class Reference

Qt Utilities 6.20.0 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Member Functions | List of all members
QtUtilities::ColorDelegate Class Reference

The ColorDelegate class is used by PaletteEditor. More...

`#include <paletteeditor.h>`

Inheritance diagram for QtUtilities::ColorDelegate:
[legend]
Collaboration diagram for QtUtilities::ColorDelegate:
[legend]

## Public Member Functions
| ColorDelegate (QObject *parent=nullptr)
QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const override
void | setEditorData (QWidget *ed, const QModelIndex &index) const override
void | setModelData (QWidget *ed, QAbstractItemModel *model, const QModelIndex &index) const override
void | updateEditorGeometry (QWidget *ed, const QStyleOptionViewItem &option, const QModelIndex &index) const override
void | paint (QPainter *painter, const QStyleOptionViewItem &opt, const QModelIndex &index) const override
QSize | sizeHint (const QStyleOptionViewItem &opt, const QModelIndex &index) const override

## Detailed Description

The ColorDelegate class is used by PaletteEditor.

Definition at line 162 of file paletteeditor.h.

## Constructor & Destructor Documentation

## ◆ ColorDelegate()

QtUtilities::ColorDelegate::ColorDelegate | ( | QObject * | parent = nullptr | ) |
| explicit

Definition at line 542 of file paletteeditor.cpp.

## Member Function Documentation

## ◆ createEditor()

QWidget * QtUtilities::ColorDelegate::createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const
| override

Definition at line 547 of file paletteeditor.cpp.

## ◆ paint()

void QtUtilities::ColorDelegate::paint | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | opt,
|  | const QModelIndex & | index ) const
| override

Definition at line 600 of file paletteeditor.cpp.

## ◆ setEditorData()

void QtUtilities::ColorDelegate::setEditorData | ( | QWidget * | ed,
|  | const QModelIndex & | index ) const
| override

Definition at line 564 of file paletteeditor.cpp.

## ◆ setModelData()

void QtUtilities::ColorDelegate::setModelData | ( | QWidget * | ed,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index ) const
| override

Definition at line 579 of file paletteeditor.cpp.

## ◆ sizeHint()

QSize QtUtilities::ColorDelegate::sizeHint | ( | const QStyleOptionViewItem & | opt,
|  | const QModelIndex & | index ) const
| override

Definition at line 634 of file paletteeditor.cpp.

## ◆ updateEditorGeometry()

void QtUtilities::ColorDelegate::updateEditorGeometry | ( | QWidget * | ed,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index ) const
| override

Definition at line 594 of file paletteeditor.cpp.

The documentation for this class was generated from the following files:

- paletteeditor/paletteeditor.h
- paletteeditor/paletteeditor.cpp